	#ifndef GUI_TEXT_H
#define GUI_TEXT_H

#include "GUIEvent.h"

class GUIFont;
class GUIText
{
  public:
    GUIText(char *text);

    GUIText(const GUIText & text);

    void  computeDimensions();
    void  printCenteredXY(int x, int y);
    void  printCenteredX (int x, int y);
    void  printCenteredY (int x, int y);
    void  print(int x, int y);

//    const String& getString();
    const char*   getCharString();

//    void setString(const String &text);
    void setString(char *text);
    void clear();

    void  setSize(int x, int y);
//    void  setSize(const Tuple2i& size);
//    const Tuple2i& getSize();

    void  setColor(float r, float g, float b);
//    void  setColor(const Tuple3f &color);
//    const Tuple3f &getColor();

    int   getHeight();
    int   getWidth();

    bool  needUpdating();
    void  forceUpdate(bool update);

    void setFontIndex(int fontIndex);
    int  getFontIndex();

  protected:
    bool     update;
//    String   text;
	char *text;
    int x,y,w,h;
	//Tuple2i  size,
    //         position;
    //Tuple3f  color;
	float r,g,b;
    int      fontIndex;
};

#endif
